[Python-modules-commits] r29354 - in packages/python-cryptography/trunk/debian (6 files)

mithrandi at users.alioth.debian.org mithrandi at users.alioth.debian.org
Mon Jun 16 19:29:18 UTC 2014


    Date: Monday, June 16, 2014 @ 19:29:17
  Author: mithrandi
Revision: 29354

Enable test suite via autopkgtest.

Added:
  packages/python-cryptography/trunk/debian/tests/
  packages/python-cryptography/trunk/debian/tests/control
  packages/python-cryptography/trunk/debian/tests/python2
  packages/python-cryptography/trunk/debian/tests/python3
Modified:
  packages/python-cryptography/trunk/debian/changelog
  packages/python-cryptography/trunk/debian/control

Modified: packages/python-cryptography/trunk/debian/changelog
===================================================================
--- packages/python-cryptography/trunk/debian/changelog	2014-06-16 18:53:20 UTC (rev 29353)
+++ packages/python-cryptography/trunk/debian/changelog	2014-06-16 19:29:17 UTC (rev 29354)
@@ -1,6 +1,7 @@
 python-cryptography (0.4-2) UNRELEASED; urgency=medium
 
   * Enable test suite at build time.
+  * Enable test suite via autopkgtest.
 
  -- Tristan Seligmann <mithrandi at debian.org>  Mon, 16 Jun 2014 18:28:25 +0200
 

Modified: packages/python-cryptography/trunk/debian/control
===================================================================
--- packages/python-cryptography/trunk/debian/control	2014-06-16 18:53:20 UTC (rev 29353)
+++ packages/python-cryptography/trunk/debian/control	2014-06-16 19:29:17 UTC (rev 29354)
@@ -32,6 +32,7 @@
 Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/python-cryptography/trunk/
 XS-Python-Version: >= 2.6
 X-Python3-Version: >= 3.2
+XS-Testsuite: autopkgtest
 
 Package: python-cryptography
 Architecture: any

Added: packages/python-cryptography/trunk/debian/tests/control
===================================================================
--- packages/python-cryptography/trunk/debian/tests/control	                        (rev 0)
+++ packages/python-cryptography/trunk/debian/tests/control	2014-06-16 19:29:17 UTC (rev 29354)
@@ -0,0 +1,2 @@
+Tests: python2 python3
+Depends: @, @builddeps@

Added: packages/python-cryptography/trunk/debian/tests/python2
===================================================================
--- packages/python-cryptography/trunk/debian/tests/python2	                        (rev 0)
+++ packages/python-cryptography/trunk/debian/tests/python2	2014-06-16 19:29:17 UTC (rev 29354)
@@ -0,0 +1,8 @@
+#!/bin/bash
+set -e
+SRC="${PWD}"
+
+cd "${ADTTMP}"
+for py in $(pyversions -vi) ; do
+  python$py -m pytest ${SRC}/tests
+done

Added: packages/python-cryptography/trunk/debian/tests/python3
===================================================================
--- packages/python-cryptography/trunk/debian/tests/python3	                        (rev 0)
+++ packages/python-cryptography/trunk/debian/tests/python3	2014-06-16 19:29:17 UTC (rev 29354)
@@ -0,0 +1,8 @@
+#!/bin/bash
+set -e
+SRC="${PWD}"
+
+cd "${ADTTMP}"
+for py in $(py3versions -vi) ; do
+  python$py -m pytest ${SRC}/tests
+done




More information about the Python-modules-commits mailing list